gtkmm: Gtk::Notebook Class Reference

gtkmm 4.23.0

Public Member Functions | Static Public Member Functions | Related Symbols | List of all members
Gtk::Notebook Class Reference
Widgets | Container Widgets

Container which shows one of its children at a time, in tabbed windows. More...

`#include <gtkmm/notebook.h>`

Inheritance diagram for Gtk::Notebook:
[legend]

## Public Member Functions
| Notebook (Notebook && src) noexcept
Notebook & | operator= (Notebook && src) noexcept
| Notebook (const Notebook &)=delete
Notebook & | operator= (const Notebook &)=delete
| ~Notebook () noexcept override
GtkNotebook * | gobj ()
| Provides access to the underlying C GObject.
const GtkNotebook * | gobj () const
| Provides access to the underlying C GObject.
| Notebook ()
int | prepend_page (Widget & child, Widget & tab_label)
| Prepends a page to notebook.
int | prepend_page (Widget & child)
int | prepend_page (Widget & child, const Glib::ustring & tab_label, bool use_mnemonic=false)
int | prepend_page (Widget & child, Widget & tab_label, Widget & menu_label)
| Prepends a page to notebook, specifying the widget to use as the label in the popup menu.
int | prepend_page (Widget & child, const Glib::ustring & tab_label, const Glib::ustring & menu_label, bool use_mnemonic)
int | append_page (Widget & child, Widget & tab_label)
| Appends a page to notebook.
int | append_page (Widget & child)
int | append_page (Widget & child, const Glib::ustring & tab_label, bool use_mnemonic=false)
int | append_page (Widget & child, Widget & tab_label, Widget & menu_label)
| Appends a page to notebook, specifying the widget to use as the label in the popup menu.
int | append_page (Widget & child, const Glib::ustring & tab_label, const Glib::ustring & menu_label, bool use_mnemonic=false)
int | insert_page (Widget & child, Widget & tab_label, int position)
| Insert a page into notebook at the given position.
int | insert_page (Widget & child, int position)
int | insert_page (Widget & child, const Glib::ustring & tab_label, int position, bool use_mnemonic=false)
int | insert_page (Widget & child, Widget & tab_label, Widget & menu_label, int position)
| Insert a page into notebook at the given position, specifying the widget to use as the label in the popup menu.
int | insert_page (Widget & child, const Glib::ustring & tab_label, const Glib::ustring & menu_label, int position, bool use_mnemonic=false)
void | remove_page (int page_number=0)
| Removes a page from the notebook given its index in the notebook.
void | remove_page (Widget & child)
void | set_group_name (const Glib::ustring & group_name)
| Sets a group name for notebook.
Glib::ustring | get_group_name () const
| Gets the current group name for notebook.
int | get_current_page () const
| Returns the page number of the current page.
Widget * | get_nth_page (int page_number)
| Returns the child widget contained in page number page_number.
const Widget * | get_nth_page (int page_number) const
| Returns the child widget contained in page number page_number.
int | get_n_pages () const
| Gets the number of pages in a notebook.
int | page_num (const Widget & child) const
| Finds the index of the page which contains the given child widget.
void | set_current_page (int page_number)
| Switches to the page number page_number.
void | next_page ()
| Switches to the next page.
void | prev_page ()
| Switches to the previous page.
void | set_show_border (bool show_border=true)
| Sets whether a bevel will be drawn around the notebook pages.
bool | get_show_border () const
| Returns whether a bevel will be drawn around the notebook pages.
void | set_show_tabs (bool show_tabs=true)
| Sets whether to show the tabs for the notebook or not.
bool | get_show_tabs () const
| Returns whether the tabs of the notebook are shown.
void | set_tab_pos (PositionType pos)
| Sets the edge at which the tabs are drawn.
PositionType | get_tab_pos () const
| Gets the edge at which the tabs are drawn.
void | set_scrollable (bool scrollable=true)
| Sets whether the tab label area will have arrows for scrolling if there are too many tabs to fit in the area.
bool | get_scrollable () const
| Returns whether the tab label area has arrows for scrolling.
void | popup_enable ()
| Enables the popup menu.
void | popup_disable ()
| Disables the popup menu.
Widget * | get_tab_label (Widget & child)
| Returns the tab label widget for the page child.
const Widget * | get_tab_label (Widget & child) const
| Returns the tab label widget for the page child.
void | set_tab_label (Widget & child, Widget & tab_label)
| Changes the tab label for child.
void | set_tab_label_text (Widget & child, const Glib::ustring & tab_text)
| Creates a new label and sets it as the tab label for the page containing child.
Glib::ustring | get_tab_label_text (Widget & child) const
| Retrieves the text of the tab label for the page containing child.
Widget * | get_menu_label (Widget & child)
| Retrieves the menu label widget of the page containing child.
const Widget * | get_menu_label (Widget & child) const
| Retrieves the menu label widget of the page containing child.
void | set_menu_label (Widget & child, Widget & menu_label)
| Changes the menu label for the page containing child.
void | set_menu_label_text (Widget & child, const Glib::ustring & menu_text)
| Creates a new label and sets it as the menu label of child.
Glib::ustring | get_menu_label_text (Widget & child) const
| Retrieves the text of the menu label for the page containing child.
void | reorder_child (Widget & child, int position)
| Reorders the page containing child, so that it appears in position position.
bool | get_tab_reorderable (Widget & child) const
| Gets whether the tab can be reordered via drag and drop or not.
void | set_tab_reorderable (Widget & child, bool reorderable=true)
| Sets whether the notebook tab can be reordered via drag and drop or not.
bool | get_tab_detachable (Widget & child) const
| Returns whether the tab contents can be detached from notebook.
void | set_tab_detachable (Widget & child, bool detachable=true)
| Sets whether the tab can be detached from notebook to another notebook or widget.
void | detach_tab (Widget & child)
| Removes the child from the notebook.
Widget * | get_action_widget (PackType pack_type=PackType::START)
| Gets one of the action widgets.
void | set_action_widget (Widget * widget, PackType pack_type=PackType::START)
| Sets widget as one of the action widgets.
Glib::RefPtr< NotebookPage > | get_page (Widget & child)
| Returns the Gtk::NotebookPage for child.
Glib::RefPtr< const NotebookPage > | get_page (const Widget & child) const
| Returns the Gtk::NotebookPage for child.
Glib::RefPtr< Gio::ListModel > | get_pages ()
| Returns a Gio::ListModel that contains the pages of the notebook.
Glib::RefPtr< const Gio::ListModel > | get_pages () const
| See the non-const version.
Glib::SignalProxy< void(Widget *, guint)> | signal_switch_page ()
Glib::SignalProxy< void(Widget *, guint)> | signal_page_reordered ()
Glib::SignalProxy< void(Widget *, guint)> | signal_page_removed ()
Glib::SignalProxy< void(Widget *, guint)> | signal_page_added ()
Glib::PropertyProxy< PositionType > | property_tab_pos ()
| Which side of the notebook holds the tabs.
Glib::PropertyProxy_ReadOnly< PositionType > | property_tab_pos () const
| Which side of the notebook holds the tabs.
Glib::PropertyProxy< bool > | property_show_tabs ()
| Whether tabs should be shown.
Glib::PropertyProxy_ReadOnly< bool > | property_show_tabs () const
| Whether tabs should be shown.
Glib::PropertyProxy< bool > | property_show_border ()
| Whether the border should be shown.
Glib::PropertyProxy_ReadOnly< bool > | property_show_border () const
| Whether the border should be shown.
Glib::PropertyProxy< bool > | property_scrollable ()
| If true, scroll arrows are added if there are too many pages to fit.
Glib::PropertyProxy_ReadOnly< bool > | property_scrollable () const
| If true, scroll arrows are added if there are too many pages to fit.
Glib::PropertyProxy< int > | property_page ()
| The index of the current page.
Glib::PropertyProxy_ReadOnly< int > | property_page () const
| The index of the current page.
Glib::PropertyProxy< Glib::ustring > | property_group_name ()
| Group name for tab drag and drop.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_group_name () const
| Group name for tab drag and drop.
Glib::PropertyProxy< bool > | property_enable_popup ()
| If true, pressing the right mouse button on the notebook shows a page switching menu.
Glib::PropertyProxy_ReadOnly< bool > | property_enable_popup () const
| If true, pressing the right mouse button on the notebook shows a page switching menu.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gio::ListModel > > | property_pages () const
| A selection model with the pages.
Public Member Functions inherited from Gtk::Widget
| Widget (Widget && src) noexcept
Widget & | operator= (Widget && src) noexcept
| Widget (const Widget &)=delete
Widget & | operator= (const Widget &)=delete
| ~Widget () noexcept override
| Destroys the widget.
GtkWidget * | gobj ()
| Provides access to the underlying C GObject.
const GtkWidget * | gobj () const
| Provides access to the underlying C GObject.
Glib::RefPtr< ConstraintTarget > | make_refptr_constrainttarget ()
| Converts this widget to a reference counted Gtk::ConstraintTarget.
Glib::RefPtr< const ConstraintTarget > | make_refptr_constrainttarget () const
| Converts this widget to a reference counted Gtk::ConstraintTarget.
void | show ()
| Flags a widget to be displayed.
void | hide ()
| Reverses the effects of [method.Gtk.Widget.show].
void | queue_draw ()
| Schedules this widget to be redrawn.
void | queue_resize ()
| Flags a widget to have its size renegotiated.
void | queue_allocate ()
| Flags the widget for a rerun of the size_allocate_vfunc() function.
void | size_allocate (const Allocation & allocation, int baseline)
| Allocates widget with a transformation that translates the origin to the position in allocation.
SizeRequestMode | get_request_mode () const
| Gets whether the widget prefers a height-for-width layout or a width-for-height layout.
void | measure (Orientation orientation, int for_size, int & minimum, int & natural, int & minimum_baseline, int & natural_baseline) const
| Measures widget in the orientation orientation and for the given for_size.
Measurements | measure (Orientation orientation, int for_size=-1) const
| Like the other overload of measure() but returns a structure holding the sizes/baselines instead of using output parameters.
void | get_preferred_size (Requisition & minimum_size, Requisition & natural_size) const
| Retrieves the minimum and natural size of a widget, taking into account the widget’s preference for height-for-width management.
PreferredSize | get_preferred_size () const
| Like the other overload of get_preferred_size() but returns a structure holding the sizes instead of using output parameters.
void | set_layout_manager (const Glib::RefPtr< LayoutManager > & layout_manager)
| Sets the layout manager to use for measuring and allocating children of the widget.
void | unset_layout_manager ()
| Undoes the effect of a previous call to set_layout_manager().
Glib::RefPtr< LayoutManager > | get_layout_manager ()
| Retrieves the layout manager of the widget.
Glib::RefPtr< const LayoutManager > | get_layout_manager () const
| Retrieves the layout manager of the widget.
bool | mnemonic_activate (bool group_cycling)
| Emits the signal_mnemonic_activate() signal.
bool | activate ()
| For widgets that can be “activated” (buttons, menu items, etc.) this function activates them.
void | set_can_focus (bool can_focus=true)
| Sets whether the input focus can enter the widget or any of its children.
bool | get_can_focus () const
| Determines whether the input focus can enter the widget or any of its children.
void | set_focusable (bool focusable=true)
| Sets whether the widget can own the input focus.
bool | get_focusable () const
| Determines whether the widget can own the input focus.
bool | has_focus () const
| Determines if the widget has the global input focus.
bool | is_focus () const
| Determines if the widget is the focus widget within its toplevel.
bool | has_visible_focus () const
| Determines if the widget should show a visible indication that it has the global input focus.
bool | grab_focus ()
| Causes widget to have the keyboard focus for the window that it belongs to.
void | set_focus_on_click (bool focus_on_click=true)
| Sets whether the widget should grab focus when it is clicked with the mouse.
bool | get_focus_on_click () const
| Returns whether the widget should grab focus when it is clicked with the mouse.
void | set_can_target (bool can_target=true)
| Sets whether the widget can be the target of pointer events.
bool | get_can_target () const
| Queries whether the widget can be the target of pointer events.
bool | has_default () const
| Determines whether the widget is the current default widget within its toplevel.
void | set_receives_default (bool receives_default=true)
| Sets whether the widget will be treated as the default widget within its toplevel when it has the focus, even if another widget is the default.
bool | get_receives_default () const
| Determines whether the widget is always treated as the default widget within its toplevel when it has the focus, even if another widget is the default.
void | set_name (const Glib::ustring & name)
| Sets a widgets name.
void | unset_name ()
Glib::ustring | get_name () const
| Retrieves the name of a widget.
void | set_state_flags (StateFlags flags, bool clear=true)
| Turns on flag values in the current widget state.
void | unset_state_flags (StateFlags flags)
| Turns off flag values for the current widget state.
StateFlags | get_state_flags () const
| Returns the widget state as a flag set.
void | set_sensitive (bool sensitive=true)
| Sets the sensitivity of the widget.
bool | get_sensitive () const
| Returns the widget’s sensitivity.
bool | is_sensitive () const
| Returns the widget’s effective sensitivity.
void | set_visible (bool visible=true)
| Sets the visibility state of widget.
bool | get_visible () const
| Determines whether the widget is visible.
bool | is_visible () const
| Determines whether the widget and all its parents are marked as visible.
bool | is_drawable () const
| Determines whether the widget can be drawn to.
bool | get_realized () const
| Determines whether the widget is realized.
bool | get_mapped () const
| Returns whether the widget is mapped.
void | set_child_visible (bool visible=true)
| Sets whether the widget should be mapped along with its parent.
bool | get_child_visible () const
| Gets the value set with set_child_visible().
int | get_allocated_width () const
| Returns the width that has currently been allocated to the widget.
int | get_allocated_height () const
| Returns the height that has currently been allocated to the widget.
int | get_allocated_baseline () const
| Returns the baseline that has currently been allocated to the widget.
Allocation | get_allocation () const
| Retrieves the widget’s location.
std::optional< Gdk::Graphene::Rect > | compute_bounds (const Widget & target) const
| Computes the bounds for the widget in the coordinate space of target.
std::optional< Gdk::Graphene::Point > | compute_point (const Widget & target, const Gdk::Graphene::Point & point) const
| Translates the given point in the widget's coordinates to coordinates relative to target’s coordinate system.
int | get_width () const
| Returns the content width of the widget.
int | get_height () const
| Returns the content height of the widget.
int | get_baseline () const
| Returns the baseline that has currently been allocated to the widget.
int | get_size (Orientation orientation) const
| Returns the content width or height of the widget.
Widget * | get_parent ()
| Returns the parent widget of the widget.
const Widget * | get_parent () const
| Returns the parent widget of the widget.
Root * | get_root ()
| Returns the Gtk::Root widget of the widget.
const Root * | get_root () const
| Returns the Gtk::Root widget of the widget.
Native * | get_native ()
| Returns the nearest Gtk::Native ancestor of the widget.
const Native * | get_native () const
| Returns the nearest Gtk::Native ancestor of the widget.
bool | child_focus (DirectionType direction)
| Called by widgets as the user moves around the window using keyboard shortcuts.
bool | keynav_failed (DirectionType direction)
| Emits the signal_keynav_failed() signal on the widget.
void | error_bell ()
| Notifies the user about an input-related error on the widget.
void | set_size_request (int width=-1, int height=-1)
| Sets the minimum size of the widget.
void | get_size_request (int & width, int & height) const
| Gets the size request that was explicitly set for the widget.
Requisition | get_size_request () const
| Like the other overload of get_size_request() but returns a structure holding the sizes instead of using output parameters.
void | set_opacity (double opacity)
| Requests the widget to be rendered partially transparent.
double | get_opacity () const
| Fetches the requested opacity for the widget.
void | set_overflow (Overflow overflow)
| Sets how the widget treats content that is drawn outside the it's content area.
Overflow | get_overflow () const
| Returns the widget’s overflow value.
Widget * | get_ancestor (GType widget_type)
| Gets the first ancestor of the widget with type widget_type.
const Widget * | get_ancestor (GType widget_type) const
| Gets the first ancestor of the widget with type widget_type.
int | get_scale_factor () const
| Retrieves the internal scale factor that maps from window coordinates to the actual device pixels.
Glib::RefPtr< Gdk::Display > | get_display ()
| Get the display for the window that the widget belongs to.
Glib::RefPtr< const Gdk::Display > | get_display () const
| Get the display for the window that the widget belongs to.
Glib::RefPtr< Settings > | get_settings ()
| Gets the settings object holding the settings used for the widget.
Glib::RefPtr< Gdk::Clipboard > | get_clipboard ()
| Gets the clipboard object for the widget.
Glib::RefPtr< const Gdk::Clipboard > | get_clipboard () const
| Gets the clipboard object for the widget.
Glib::RefPtr< Gdk::Clipboard > | get_primary_clipboard ()
| Gets the primary clipboard of the widget.
Glib::RefPtr< const Gdk::Clipboard > | get_primary_clipboard () const
| Gets the primary clipboard of the widget.
bool | get_hexpand () const
| Gets whether the widget would like any available extra horizontal space.
void | set_hexpand (bool expand=true)
| Sets whether the widget would like any available extra horizontal space.
bool | get_hexpand_set () const
| Gets whether the hexpand flag has been explicitly set.
void | set_hexpand_set (bool set=true)
| Sets whether the hexpand flag will be used.
bool | get_vexpand () const
| Gets whether the widget would like any available extra vertical space.
void | set_vexpand (bool expand=true)
| Sets whether the widget would like any available extra vertical space.
bool | get_vexpand_set () const
| Gets whether the vexpand flag has been explicitly set.
void | set_vexpand_set (bool set=true)
| Sets whether the vexpand flag will be used.
bool | compute_expand (Orientation orientation)
| Computes whether a parent widget should give this widget extra space when possible.
void | set_expand (bool expand=true)
| Sets whether the widget would like any available extra space in both directions.
Align | get_halign () const
| Gets the horizontal alignment of the widget.
void | set_halign (Align align)
| Sets the horizontal alignment of the widget.
Align | get_valign () const
| Gets the vertical alignment of the widget.
void | set_valign (Align align)
| Sets the vertical alignment of the widget.
int | get_margin_start () const
| Gets the start margin of the widget.
void | set_margin_start (int margin)
| Sets the start margin of the widget.
int | get_margin_end () const
| Gets the end margin of the widget.
void | set_margin_end (int margin)
| Sets the end margin of the widget.
int | get_margin_top () const
| Gets the top margin of the widget.
void | set_margin_top (int margin)
| Sets the top margin of the widget.
int | get_margin_bottom () const
| Gets the bottom margin of the widget.
void | set_margin_bottom (int margin)
| Sets the bottom margin of the widget.
void | set_margin (int margin)
| Set all 4 margins to the same value.
bool | is_ancestor (Widget & ancestor) const
| Determines whether the widget is a descendent of ancestor.
bool | translate_coordinates (Widget & dest_widget, double src_x, double src_y, double & dest_x, double & dest_y)
| Translates coordinates relative to src_widget’s allocation to coordinates relative to dest_widget’s allocations.
bool | contains (double x, double y) const
| Tests if a given point is contained in the widget.
Widget * | pick (double x, double y, PickFlags flags=PickFlags::DEFAULT)
| Finds the descendant of the widget closest to a point.
const Widget * | pick (double x, double y, PickFlags flags=PickFlags::DEFAULT) const
| Finds the descendant of the widget closest to a point.
void | add_controller (const Glib::RefPtr< EventController > & controller)
| Adds an event controller to the widget.
void | remove_controller (const Glib::RefPtr< EventController > & controller)
| Removes an event controller from the widget.
Glib::RefPtr< Pango::Context > | create_pango_context ()
| Creates a new Pango::Context that is configured for the widget.
Glib::RefPtr< Pango::Context > | get_pango_context ()
| Gets a Pango::Context that is configured for the widget.
void | set_font_options (const Cairo::FontOptions & options)
| Sets the cairo_font_options_t used for text rendering in the widget.
void | unset_font_options ()
| Undoes the effect of previous calls to set_font_options().
Cairo::FontOptions | get_font_options () const
| Returns the cairo_font_options_t of the widget.
Glib::RefPtr< Pango::Layout > | create_pango_layout (const Glib::ustring & text)
| Creates a new Pango::Layout that is configured for the widget.
void | set_direction (TextDirection dir)
| Sets the reading direction on the widget.
TextDirection | get_direction () const
| Gets the reading direction for the widget.
void | set_cursor (const Glib::RefPtr< Gdk::Cursor > & cursor)
| Sets the cursor to be shown when the pointer hovers over the widget.
void | set_cursor (const Glib::ustring & name={})
| Sets a named cursor to be shown when pointer devices point towards the widget.
Glib::RefPtr< Gdk::Cursor > | get_cursor ()
| Gets the cursor set on the widget.
Glib::RefPtr< const Gdk::Cursor > | get_cursor () const
| Gets the cursor set on the widget.
std::vector< Widget * > | list_mnemonic_labels ()
| Returns the widgets for which this widget is the target of a mnemonic.
std::vector< const Widget * > | list_mnemonic_labels () const
| Returns the widgets for which this widget is the target of a mnemonic.
void | add_mnemonic_label (Widget & label)
| Adds a widget to the list of mnemonic labels for this widget.
void | remove_mnemonic_label (Widget & label)
| Removes a widget from the list of mnemonic labels for this widget.
bool | drag_check_threshold (int start_x, int start_y, int current_x, int current_y)
| Checks to see if a drag movement has passed the GTK drag threshold.
Glib::RefPtr< Gdk::FrameClock > | get_frame_clock ()
| Obtains the frame clock for a widget.
Glib::RefPtr< const Gdk::FrameClock > | get_frame_clock () const
| Obtains the frame clock for a widget.
void | set_parent (Widget & parent)
| Sets the parent widget of the widget.
void | unparent ()
| Removes widget from its parent.
void | map ()
| Causes a widget to be mapped if it isn’t already.
void | unmap ()
| Causes a widget to be unmapped if it’s currently mapped.
void | trigger_tooltip_query ()
| Triggers a tooltip query on the display of the widget.
void | set_tooltip_text (const Glib::ustring & text)
| Sets the contents of the tooltip for the widget.
Glib::ustring | get_tooltip_text () const
| Gets the contents of the tooltip for the widget.
void | set_tooltip_markup (const Glib::ustring & markup)
| Sets the contents of the tooltip for widget.
Glib::ustring | get_tooltip_markup () const
| Gets the contents of the tooltip for the widget.
void | set_has_tooltip (bool has_tooltip=TRUE)
| Sets the has-tooltip property on the widget.
bool | get_has_tooltip () const
| Returns the current value of the has-tooltip property.
bool | in_destruction () const
| Returns whether the widget is currently being destroyed.
Glib::RefPtr< StyleContext > | get_style_context ()
| Returns the style context associated to the widget.
Glib::RefPtr< const StyleContext > | get_style_context () const
| Returns the style context associated to the widget.
guint | add_tick_callback (const SlotTick & slot)
| Queues an animation frame update and adds a callback to be called before each frame.
void | remove_tick_callback (guint id)
| Removes a tick callback previously registered with add_tick_callback().
void | insert_action_group (const Glib::ustring & name, const Glib::RefPtr< Gio::ActionGroup > & group)
| Inserts an action group into the widget's actions.
void | remove_action_group (const Glib::ustring & name)
| Removes a group from the widget.
bool | activate_action (const Glib::ustring & name, const Glib::VariantBase & args={})
| Looks up the action in the action groups associated with the widget and its ancestors, and activates it.
void | activate_default ()
| Activates the default.activate action for the widget.
void | set_font_map (const Glib::RefPtr< Pango::FontMap > & font_map)
| Sets the font map to use for text rendering in the widget.
Glib::RefPtr< Pango::FontMap > | get_font_map ()
| Gets the font map of the widget.
Glib::RefPtr< const Pango::FontMap > | get_font_map () const
| Gets the font map of the widget.
Widget * | get_first_child ()
| Returns the widget’s first child.
const Widget * | get_first_child () const
| Returns the widget’s first child.
Widget * | get_last_child ()
| Returns the widget’s last child.
const Widget * | get_last_child () const
| Returns the widget’s last child.
Widget * | get_next_sibling ()
| Returns the widget’s next sibling.
const Widget * | get_next_sibling () const
| Returns the widget’s next sibling.
Widget * | get_prev_sibling ()
| Returns the widget’s previous sibling.
const Widget * | get_prev_sibling () const
| Returns the widget’s previous sibling.
std::vector< Widget * > | get_children ()
| Gets a vector of the widgetʼs current children, from first child to last.
std::vector< const Widget * > | get_children () const
| Gets a vector of the widgetʼs current children, from first child to last.
Glib::RefPtr< Gio::ListModel > | observe_children ()
| Returns a list model to track the children of the widget.
Glib::RefPtr< const Gio::ListModel > | observe_children () const
| Returns a list model to track the children of the widget.
Glib::RefPtr< Gio::ListModel > | observe_controllers ()
| Returns a list model to track the event controllers of the widget.
Glib::RefPtr< const Gio::ListModel > | observe_controllers () const
| Returns a list model to track the event controllers of the widget.
void | insert_after (Widget & parent, const Widget & previous_sibling)
| Inserts the Widget into the child widget list of parent after previous_sibling.
void | insert_before (Widget & parent, const Widget & next_sibling)
| Inserts the Widget into the child widget list of parent before next_sibling.
void | insert_at_start (Widget & parent)
| Inserts the Widget at the beginning of the child widget list of parent.
void | insert_at_end (Widget & parent)
| Inserts the Widget at the end of the child widget list of parent.
void | snapshot_child (Widget & child, const Glib::RefPtr< Gtk::Snapshot > & snapshot)
| Snapshots a child of the widget.
bool | should_layout () const
| Returns whether the widget should contribute to the measuring and allocation of its parent.
Glib::ustring | get_css_name () const
| Returns the CSS name of the widget.
void | add_css_class (const Glib::ustring & css_class)
| Adds a style class to the widget.
void | remove_css_class (const Glib::ustring & css_class)
| Removes a style from the widget.
bool | has_css_class (const Glib::ustring & css_class) const
| Returns whether a style class is currently applied to the widget.
std::vector< Glib::ustring > | get_css_classes () const
| Returns the list of style classes applied to the widget.
void | set_css_classes (const std::vector< Glib::ustring > & classes)
| Replaces the current style classes of the widget with classes.
Gdk::RGBA | get_color () const
| Gets the current foreground color for the widget's CSS style.
void | set_limit_events (bool limit_events=true)
| Sets whether the widget acts like a modal dialog, with respect to event delivery.
bool | get_limit_events () const
| Gets the value of the property_limit_events() property.
Glib::SignalProxy< void()> | signal_show ()
Glib::SignalProxy< void()> | signal_hide ()
Glib::SignalProxy< void()> | signal_map ()
| Emitted on mapping of a widget to the screen.
Glib::SignalProxy< void()> | signal_unmap ()
Glib::SignalProxy< void()> | signal_realize ()
| Emitted on realization of a widget.
Glib::SignalProxy< void()> | signal_unrealize ()
Glib::SignalProxy< void(Gtk::StateFlags)> | signal_state_flags_changed ()
Glib::SignalProxy< void(TextDirection)> | signal_direction_changed ()
Glib::SignalProxy< bool(bool)> | signal_mnemonic_activate ()
Glib::SignalProxy< void()> | signal_destroy ()
| Emitted during the dispose phase.
Glib::SignalProxy< bool(int, int, bool, const Glib::RefPtr< Tooltip > &)> | signal_query_tooltip ()
Glib::PropertyProxy< Glib::ustring > | property_name ()
| The name of the widget.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_name () const
| The name of the widget.
Glib::PropertyProxy_ReadOnly< Widget * > | property_parent () const
| The parent widget of this widget.
Glib::PropertyProxy_ReadOnly< Root * > | property_root () const
| The Gtk::Root widget of the widget tree containing this widget.
Glib::PropertyProxy< int > | property_width_request ()
| Overrides for width request of the widget.
Glib::PropertyProxy_ReadOnly< int > | property_width_request () const
| Overrides for width request of the widget.
Glib::PropertyProxy< int > | property_height_request ()
| Overrides for height request of the widget.
Glib::PropertyProxy_ReadOnly< int > | property_height_request () const
| Overrides for height request of the widget.
Glib::PropertyProxy< bool > | property_visible ()
| Whether the widget is visible.
Glib::PropertyProxy_ReadOnly< bool > | property_visible () const
| Whether the widget is visible.
Glib::PropertyProxy< bool > | property_sensitive ()
| Whether the widget responds to input.
Glib::PropertyProxy_ReadOnly< bool > | property_sensitive () const
| Whether the widget responds to input.
Glib::PropertyProxy< bool > | property_can_focus ()
| Whether the widget or any of its descendents can accept the input focus.
Glib::PropertyProxy_ReadOnly< bool > | property_can_focus () const
| Whether the widget or any of its descendents can accept the input focus.
Glib::PropertyProxy_ReadOnly< bool > | property_has_focus () const
| Whether the widget has the input focus.
Glib::PropertyProxy< bool > | property_can_target ()
| Whether the widget can receive pointer events.
Glib::PropertyProxy_ReadOnly< bool > | property_can_target () const
| Whether the widget can receive pointer events.
Glib::PropertyProxy< bool > | property_focus_on_click ()
| Whether the widget should grab focus when it is clicked with the mouse.
Glib::PropertyProxy_ReadOnly< bool > | property_focus_on_click () const
| Whether the widget should grab focus when it is clicked with the mouse.
Glib::PropertyProxy< bool > | property_focusable ()
| Whether this widget itself will accept the input focus.
Glib::PropertyProxy_ReadOnly< bool > | property_focusable () const
| Whether this widget itself will accept the input focus.
Glib::PropertyProxy_ReadOnly< bool > | property_has_default () const
| Whether the widget is the default widget.
Glib::PropertyProxy< bool > | property_receives_default ()
| Whether the widget will receive the default action when it is focused.
Glib::PropertyProxy_ReadOnly< bool > | property_receives_default () const
| Whether the widget will receive the default action when it is focused.
Glib::PropertyProxy< Glib::RefPtr< Gdk::Cursor > > | property_cursor ()
| The cursor used by widget.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Cursor > > | property_cursor () const
| The cursor used by widget.
Glib::PropertyProxy< bool > | property_has_tooltip ()
| Enables or disables the emission of the signal_query_tooltip() signal on widget.
Glib::PropertyProxy_ReadOnly< bool > | property_has_tooltip () const
| Enables or disables the emission of the signal_query_tooltip() signal on widget.
Glib::PropertyProxy< Glib::ustring > | property_tooltip_markup ()
| Sets the text of tooltip to be the given string, which is marked up with Pango markup.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_tooltip_markup () const
| Sets the text of tooltip to be the given string, which is marked up with Pango markup.
Glib::PropertyProxy< Glib::ustring > | property_tooltip_text ()
| Sets the text of tooltip to be the given string.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_tooltip_text () const
| Sets the text of tooltip to be the given string.
Glib::PropertyProxy< Align > | property_halign ()
| How to distribute horizontal space if widget gets extra space.
Glib::PropertyProxy_ReadOnly< Align > | property_halign () const
| How to distribute horizontal space if widget gets extra space.
Glib::PropertyProxy< Align > | property_valign ()
| How to distribute vertical space if widget gets extra space.
Glib::PropertyProxy_ReadOnly< Align > | property_valign () const
| How to distribute vertical space if widget gets extra space.
Glib::PropertyProxy< int > | property_margin_start ()
| Margin on start of widget, horizontally.
Glib::PropertyProxy_ReadOnly< int > | property_margin_start () const
| Margin on start of widget, horizontally.
Glib::PropertyProxy< int > | property_margin_end ()
| Margin on end of widget, horizontally.
Glib::PropertyProxy_ReadOnly< int > | property_margin_end () const
| Margin on end of widget, horizontally.
Glib::PropertyProxy< int > | property_margin_top ()
| Margin on top side of widget.
Glib::PropertyProxy_ReadOnly< int > | property_margin_top () const
| Margin on top side of widget.
Glib::PropertyProxy< int > | property_margin_bottom ()
| Margin on bottom side of widget.
Glib::PropertyProxy_ReadOnly< int > | property_margin_bottom () const
| Margin on bottom side of widget.
Glib::PropertyProxy< bool > | property_hexpand ()
| Whether to expand horizontally.
Glib::PropertyProxy_ReadOnly< bool > | property_hexpand () const
| Whether to expand horizontally.
Glib::PropertyProxy< bool > | property_hexpand_set ()
| Whether to use the hexpand property.
Glib::PropertyProxy_ReadOnly< bool > | property_hexpand_set () const
| Whether to use the hexpand property.
Glib::PropertyProxy< bool > | property_vexpand ()
| Whether to expand vertically.
Glib::PropertyProxy_ReadOnly< bool > | property_vexpand () const
| Whether to expand vertically.
Glib::PropertyProxy< bool > | property_vexpand_set ()
| Whether to use the vexpand property.
Glib::PropertyProxy_ReadOnly< bool > | property_vexpand_set () const
| Whether to use the vexpand property.
Glib::PropertyProxy< double > | property_opacity ()
| The requested opacity of the widget.
Glib::PropertyProxy_ReadOnly< double > | property_opacity () const
| The requested opacity of the widget.
Glib::PropertyProxy< Overflow > | property_overflow ()
| How content outside the widget's content area is treated.
Glib::PropertyProxy_ReadOnly< Overflow > | property_overflow () const
| How content outside the widget's content area is treated.
Glib::PropertyProxy_ReadOnly< int > | property_scale_factor () const
| The scale factor of the widget.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_css_name () const
| The name of this widget in the CSS tree.
Glib::PropertyProxy< std::vector< Glib::ustring > > | property_css_classes ()
| A list of css classes applied to this widget.
Glib::PropertyProxy_ReadOnly< std::vector< Glib::ustring > > | property_css_classes () const
| A list of css classes applied to this widget.
Glib::PropertyProxy< Glib::RefPtr< LayoutManager > > | property_layout_manager ()
| The Gtk::LayoutManager instance to use to compute the preferred size of the widget, and allocate its children.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< LayoutManager > > | property_layout_manager () const
| The Gtk::LayoutManager instance to use to compute the preferred size of the widget, and allocate its children.
Glib::PropertyProxy< bool > | property_limit_events ()
| Makes this widget act like a modal dialog, with respect to event delivery.
Glib::PropertyProxy_ReadOnly< bool > | property_limit_events () const
| Makes this widget act like a modal dialog, with respect to event delivery.
Public Member Functions inherited from Gtk::Object
| Object (Object && src) noexcept
Object & | operator= (Object && src) noexcept
| ~Object () noexcept override
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data_with_c_callback (const Quark &key, void *data, GDestroyNotify notify)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (notifiable *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (notifiable *data) const
Public Member Functions inherited from Gtk::Accessible
| Accessible (Accessible && src) noexcept
Accessible & | operator= (Accessible && src) noexcept
| ~Accessible () noexcept override
GtkAccessible * | gobj ()
| Provides access to the underlying C GObject.
const GtkAccessible * | gobj () const
| Provides access to the underlying C GObject.
Glib::RefPtr< ATContext > | get_at_context ()
| Retrieves the implementation for the given accessible object.
Glib::RefPtr< const ATContext > | get_at_context () const
| Retrieves the implementation for the given accessible object.
bool | get_platform_state (PlatformState state) const
| Queries a platform state, such as focus.
void | update_platform_state (PlatformState state)
| Informs ATs that the platform state has changed.
Glib::RefPtr< Accessible > | get_accessible_parent ()
| Retrieves the accessible parent for an accessible object.
Glib::RefPtr< const Accessible > | get_accessible_parent () const
| Retrieves the accessible parent for an accessible object.
void | set_accessible_parent (const Glib::RefPtr< Accessible > & parent, const Glib::RefPtr< Accessible > & next_sibling)
| Sets the parent and sibling of an accessible object.
Glib::RefPtr< Accessible > | get_first_accessible_child ()
| Retrieves the first accessible child of an accessible object.
Glib::RefPtr< const Accessible > | get_first_accessible_child () const
| Retrieves the first accessible child of an accessible object.
Glib::RefPtr< Accessible > | get_next_accessible_sibling ()
| Retrieves the next accessible sibling of an accessible object.
Glib::RefPtr< const Accessible > | get_next_accessible_sibling () const
| Retrieves the next accessible sibling of an accessible object.
void | update_next_accessible_sibling (const Glib::RefPtr< Accessible > & new_sibling)
| Updates the next accessible sibling.
bool | get_bounds (int & x, int & y, int & width, int & height) const
| Queries the coordinates and dimensions of this accessible.
Glib::ustring | get_accessible_id () const
| Retrieves the accessible identifier for the accessible object.
Role | get_accessible_role () const
| Retrieves the accessible role of an accessible object.
void | update_state (State state, const Glib::ValueBase & value)
| Updates an accessible state.
void | update_property (Property property, const Glib::ValueBase & value)
| Updates an accessible property.
void | update_relation (Relation relation, const Glib::ValueBase & value)
| Updates an accessible relation.
void | reset_state (State state)
| Resets the accessible state to its default value.
void | reset_property (Property property)
| Resets the accessible property to its default value.
void | reset_relation (Relation relation)
| Resets the accessible relation to its default value.
void | announce (const Glib::ustring & message, AnnouncementPriority priority)
| Requests the user's screen reader to announce the given message.
Glib::PropertyProxy< Role > | property_accessible_role ()
| The accessible role of the given Gtk::Accessible implementation.
Glib::PropertyProxy_ReadOnly< Role > | property_accessible_role () const
| The accessible role of the given Gtk::Accessible implementation.
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Gtk::Buildable
| Buildable (Buildable && src) noexcept
Buildable & | operator= (Buildable && src) noexcept
| ~Buildable () noexcept override
GtkBuildable * | gobj ()
| Provides access to the underlying C GObject.
const GtkBuildable * | gobj () const
| Provides access to the underlying C GObject.
Glib::ustring | get_buildable_id () const
| Gets the ID of the buildable object.
Public Member Functions inherited from Gtk::ConstraintTarget
| ConstraintTarget (ConstraintTarget && src) noexcept
ConstraintTarget & | operator= (ConstraintTarget && src) noexcept
| ~ConstraintTarget () noexcept override
GtkConstraintTarget * | gobj ()
| Provides access to the underlying C GObject.
const GtkConstraintTarget * | gobj () const
| Provides access to the underlying C GObject.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::Widget
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static void | set_default_direction (TextDirection dir)
| Sets the default reading direction for widgets.
static TextDirection | get_default_direction ()
| Obtains the default reading direction.
Static Public Member Functions inherited from Gtk::Accessible
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::Buildable
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::ConstraintTarget
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Related Symbols
(Note that these are not member symbols.)
Gtk::Notebook * | wrap (GtkNotebook * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::Widget
Gtk::Widget * | wrap (GtkWidget * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::Accessible
Glib::RefPtr< Gtk::Accessible > | wrap (GtkAccessible * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::Buildable
Glib::RefPtr< Gtk::Buildable > | wrap (GtkBuildable * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::ConstraintTarget
Glib::RefPtr< Gtk::ConstraintTarget > | wrap (GtkConstraintTarget * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Public Types inherited from Gtk::Widget
using | PreferredSize = MinimumNatural<Requisition>
| Structure returned by the non-output-parameter overload of get_preferred_size().
using | SlotTick = sigc::slot<bool(const Glib::RefPtr<Gdk::FrameClock>&)>
| Callback type for adding a function to update animations.
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Public Types inherited from sigc::notifiable
typedef internal::func_destroy_notify | func_destroy_notify
Public Types inherited from Gtk::Accessible
enum class | Role { Role::ALERT , Role::ALERT_DIALOG , Role::BANNER , Role::BUTTON , Role::CAPTION , Role::CELL , Role::CHECKBOX , Role::COLUMN_HEADER , Role::COMBO_BOX , Role::COMMAND , Role::COMPOSITE , Role::DIALOG , Role::DOCUMENT , Role::FEED , Role::FORM , Role::GENERIC , Role::GRID , Role::GRID_CELL , Role::GROUP , Role::HEADING , Role::IMG , Role::INPUT , Role::LABEL , Role::LANDMARK , Role::LEGEND , Role::LINK , Role::LIST , Role::LIST_BOX , Role::LIST_ITEM , Role::LOG , Role::MAIN , Role::MARQUEE , Role::MATH , Role::METER , Role::MENU , Role::MENU_BAR , Role::MENU_ITEM , Role::MENU_ITEM_CHECKBOX , Role::MENU_ITEM_RADIO , Role::NAVIGATION , Role::NONE , Role::NOTE , Role::OPTION , Role::PRESENTATION , Role::PROGRESS_BAR , Role::RADIO , Role::RADIO_GROUP , Role::RANGE , Role::REGION , Role::ROW , Role::ROW_GROUP , Role::ROW_HEADER , Role::SCROLLBAR , Role::SEARCH , Role::SEARCH_BOX , Role::SECTION , Role::SECTION_HEAD , Role::SELECT , Role::SEPARATOR , Role::SLIDER , Role::SPIN_BUTTON , Role::STATUS , Role::STRUCTURE , Role::SWITCH , Role::TAB , Role::TABLE , Role::TAB_LIST , Role::TAB_PANEL , Role::TEXT_BOX , Role::TIME , Role::TIMER , Role::TOOLBAR , Role::TOOLTIP , Role::TREE , Role::TREE_GRID , Role::TREE_ITEM , Role::WIDGET , Role::WINDOW , Role::TOGGLE_BUTTON , Role::APPLICATION , Role::PARAGRAPH , Role::BLOCK_QUOTE , Role::ARTICLE , Role::COMMENT , Role::TERMINAL }
| The accessible role for a Gtk::Accessible implementation. More...
enum class | State { State::BUSY , State::CHECKED , State::DISABLED , State::EXPANDED , State::HIDDEN , State::INVALID , State::PRESSED , State::SELECTED , State::VISITED }
| The possible accessible states of a Gtk::Accessible. More...
enum class | Property { Property::AUTOCOMPLETE , Property::DESCRIPTION , Property::HAS_POPUP , Property::KEY_SHORTCUTS , Property::LABEL , Property::LEVEL , Property::MODAL , Property::MULTI_LINE , Property::MULTI_SELECTABLE , Property::ORIENTATION , Property::PLACEHOLDER , Property::READ_ONLY , Property::REQUIRED , Property::ROLE_DESCRIPTION , Property::SORT , Property::VALUE_MAX , Property::VALUE_MIN , Property::VALUE_NOW , Property::VALUE_TEXT , Property::HELP_TEXT }
| The possible accessible properties of a Gtk::Accessible. More...
enum class | Relation { Relation::ACTIVE_DESCENDANT , Relation::COL_COUNT , Relation::COL_INDEX , Relation::COL_INDEX_TEXT , Relation::COL_SPAN , Relation::CONTROLS , Relation::DESCRIBED_BY , Relation::DETAILS , Relation::ERROR_MESSAGE , Relation::FLOW_TO , Relation::LABELLED_BY , Relation::OWNS , Relation::POS_IN_SET , Relation::ROW_COUNT , Relation::ROW_INDEX , Relation::ROW_INDEX_TEXT , Relation::ROW_SPAN , Relation::SET_SIZE , Relation::LABEL_FOR , Relation::DESCRIPTION_FOR , Relation::CONTROLLED_BY , Relation::DETAILS_FOR , Relation::ERROR_MESSAGE_FOR , Relation::FLOW_FROM }
| The possible accessible relations of a Gtk::Accessible. More...
enum class | PlatformState { PlatformState::FOCUSABLE , PlatformState::FOCUSED , PlatformState::ACTIVE }
| The various platform states which can be queried using Gtk::Accessible::get_platform_state(). More...
enum class | AnnouncementPriority { AnnouncementPriority::LOW , AnnouncementPriority::MEDIUM , AnnouncementPriority::HIGH }
| The priority of an accessibility announcement. More...
Protected Member Functions inherited from Gtk::Widget
virtual void | root_vfunc ()
virtual void | unroot_vfunc ()
virtual void | size_allocate_vfunc (int width, int height, int baseline)
virtual SizeRequestMode | get_request_mode_vfunc () const
virtual void | measure_vfunc (Orientation orientation, int for_size, int & minimum, int & natural, int & minimum_baseline, int & natural_baseline) const
virtual bool | grab_focus_vfunc ()
virtual void | set_focus_child_vfunc (Widget * child)
| Sets the focused child of widget.
virtual void | compute_expand_vfunc (bool & hexpand_p, bool & vexpand_p)
virtual bool | contains_vfunc (double x, double y) const
virtual void | snapshot_vfunc (const Glib::RefPtr< Gtk::Snapshot > & snapshot)
| Widget ()
void | realize ()
| Creates the GDK resources associated with a widget.
void | unrealize ()
| Causes a widget to be unrealized.
void | realize_if_needed ()
void | set_focus_child (Widget & child)
| Set the focus child of the widget.
void | unset_focus_child ()
| Unsets the focus child of the widget.
Widget * | get_focus_child ()
| Returns the focus child of the widget.
const Widget * | get_focus_child () const
| Returns the focus child of the widget.
virtual void | on_show ()
| This is a default handler for the signal signal_show().
virtual void | on_hide ()
| This is a default handler for the signal signal_hide().
virtual void | on_map ()
| This is a default handler for the signal signal_map().
virtual void | on_unmap ()
| This is a default handler for the signal signal_unmap().
virtual void | on_realize ()
| This is a default handler for the signal signal_realize().
virtual void | on_unrealize ()
| This is a default handler for the signal signal_unrealize().
virtual void | on_state_flags_changed (Gtk::StateFlags previous_state_flags)
| This is a default handler for the signal signal_state_flags_changed().
virtual void | on_direction_changed (TextDirection direction)
| This is a default handler for the signal signal_direction_changed().
virtual bool | on_mnemonic_activate (bool group_cycling)
| This is a default handler for the signal signal_mnemonic_activate().
virtual bool | on_query_tooltip (int x, int y, bool keyboard_tooltip, const Glib::RefPtr< Tooltip > & tooltip)
| This is a default handler for the signal signal_query_tooltip().
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)
Protected Member Functions inherited from Gtk::Accessible
| Accessible ()
| You should derive from this class to use it.
Protected Member Functions inherited from Gtk::Buildable
| Buildable ()
| You should derive from this class to use it.
Protected Member Functions inherited from Gtk::ConstraintTarget
| ConstraintTarget ()
| You should derive from this class to use it.

## Detailed Description

Container which shows one of its children at a time, in tabbed windows.

The Gtk::Notebook widget is a layout container whose children are pages that can be switched between using tab labels along one edge.

A Notebook widget looks like this:

## Constructor & Destructor Documentation

## ◆ Notebook() [1/3]

Gtk::Notebook::Notebook | ( | Notebook && | src | ) |
| noexcept

## ◆ Notebook() [2/3]

Gtk::Notebook::Notebook | ( | const Notebook & |  | ) |
| delete

## ◆ ~Notebook()

Gtk::Notebook::~Notebook | ( |  | ) |
| overridenoexcept

## ◆ Notebook() [3/3]

Gtk::Notebook::Notebook | ( |  | ) |

## Member Function Documentation

## ◆ append_page() [1/5]

int Gtk::Notebook::append_page | ( | Widget & | child | ) |

## ◆ append_page() [2/5]

int Gtk::Notebook::append_page | ( | Widget & | child,
|  | const Glib::ustring & | tab_label,
|  | bool | use_mnemonic = false )

## ◆ append_page() [3/5]

int Gtk::Notebook::append_page | ( | Widget & | child,
|  | const Glib::ustring & | tab_label,
|  | const Glib::ustring & | menu_label,
|  | bool | use_mnemonic = false )

## ◆ append_page() [4/5]

int Gtk::Notebook::append_page | ( | Widget & | child,
|  | Widget & | tab_label )

Appends a page to notebook.

Parameters

  child | The Gtk::Widget to use as the contents of the page.
  tab_label | The Gtk::Widget to be used as the label for the page.

## ◆ append_page() [5/5]

int Gtk::Notebook::append_page | ( | Widget & | child,
|  | Widget & | tab_label,
|  | Widget & | menu_label )

Appends a page to notebook, specifying the widget to use as the label in the popup menu.

Parameters

  child | The Gtk::Widget to use as the contents of the page.
  tab_label | The Gtk::Widget to be used as the label for the page.
  menu_label | The widget to use as a label for the page-switch menu.

## ◆ detach_tab()

void Gtk::Notebook::detach_tab | ( | Widget & | child | ) |

Removes the child from the notebook.

This function is very similar to remove_page(), but additionally informs the notebook that the removal is happening as part of a tab DND operation, which should not be cancelled.

Parameters

  child | A child.

## ◆ get_action_widget()

Widget * Gtk::Notebook::get_action_widget | ( | PackType | pack_type = PackType::START | ) |

Gets one of the action widgets.

See set_action_widget().

Parameters

  pack_type | Pack type of the action widget to receive.

Returns
  The action widget with the given pack_type or nullptr when this action widget has not been set.

## ◆ get_current_page()

int Gtk::Notebook::get_current_page | ( |  | ) | const

Returns the page number of the current page.

Returns
  The index (starting from 0) of the current page in the notebook. If the notebook has no pages, then -1 will be returned.

## ◆ get_group_name()

Glib::ustring Gtk::Notebook::get_group_name | ( |  | ) | const

Gets the current group name for notebook.

Returns
  The group name, or nullptr if none is set.

## ◆ get_menu_label() [1/2]

Widget * Gtk::Notebook::get_menu_label | ( | Widget & | child | ) |

Retrieves the menu label widget of the page containing child.

Parameters

  child | A widget contained in a page of notebook.

Returns
  The menu label, or nullptr if the notebook page does not have a menu label other than the default (the tab label).

## ◆ get_menu_label() [2/2]

const Widget * Gtk::Notebook::get_menu_label | ( | Widget & | child | ) | const

Retrieves the menu label widget of the page containing child.

Parameters

  child | A widget contained in a page of notebook.

Returns
  The menu label, or nullptr if the notebook page does not have a menu label other than the default (the tab label).

## ◆ get_menu_label_text()

Glib::ustring Gtk::Notebook::get_menu_label_text | ( | Widget & | child | ) | const

Retrieves the text of the menu label for the page containing child.

Parameters

  child | The child widget of a page of the notebook.

Returns
  The text of the tab label.

## ◆ get_n_pages()

int Gtk::Notebook::get_n_pages | ( |  | ) | const

Gets the number of pages in a notebook.

Returns
  The number of pages in the notebook.

## ◆ get_nth_page() [1/2]

Widget * Gtk::Notebook::get_nth_page | ( | int | page_number | ) |

Returns the child widget contained in page number page_number.

Parameters

  page_number | The index of a page in the notebook, or -1 to get the last page.

Returns
  The child widget, or nullptr if page_number is out of bounds.

## ◆ get_nth_page() [2/2]

const Widget * Gtk::Notebook::get_nth_page | ( | int | page_number | ) | const

Returns the child widget contained in page number page_number.

Parameters

  page_number | The index of a page in the notebook, or -1 to get the last page.

Returns
  The child widget, or nullptr if page_number is out of bounds.

## ◆ get_page() [1/2]

Glib::RefPtr< const NotebookPage > Gtk::Notebook::get_page | ( | const Widget & | child | ) | const

Returns the Gtk::NotebookPage for child.

Parameters

  child | A child of notebook.

Returns
  The Gtk::NotebookPage for child.

## ◆ get_page() [2/2]

Glib::RefPtr< NotebookPage > Gtk::Notebook::get_page | ( | Widget & | child | ) |

Returns the Gtk::NotebookPage for child.

Parameters

  child | A child of notebook.

Returns
  The Gtk::NotebookPage for child.

## ◆ get_pages() [1/2]

Glib::RefPtr< Gio::ListModel > Gtk::Notebook::get_pages | ( |  | ) |

Returns a Gio::ListModel that contains the pages of the notebook.

It can be used to keep an up-to-date view. The model also implements Gtk::SelectionModel and can be used to track and modify the visible page.

To use Gtk::SelectionModel API, do something like

auto pages = notebook->get_pages();
auto selection_model = std::dynamic_pointer_cast<Gtk::SelectionModel>(pages);
if (selection_model)
selection_model->do_something();
std::dynamic_pointer_cast
__shared_ptr< _Tp, _Lp > dynamic_pointer_cast(const __shared_ptr< _Tp1, _Lp > &__r) noexcept

Returns
  A Gio::ListModel for the notebook's children. The caller becomes the owner of the returned instance. When the caller's reference is dropped, the instance is deleted.

## ◆ get_pages() [2/2]

Glib::RefPtr< const Gio::ListModel > Gtk::Notebook::get_pages | ( |  | ) | const

See the non-const version.

## ◆ get_scrollable()

bool Gtk::Notebook::get_scrollable | ( |  | ) | const

Returns whether the tab label area has arrows for scrolling.

Returns
  true if arrows for scrolling are present.

## ◆ get_show_border()

bool Gtk::Notebook::get_show_border | ( |  | ) | const

Returns whether a bevel will be drawn around the notebook pages.

Returns
  true if the bevel is drawn.

## ◆ get_show_tabs()

bool Gtk::Notebook::get_show_tabs | ( |  | ) | const

Returns whether the tabs of the notebook are shown.

Returns
  true if the tabs are shown.

## ◆ get_tab_detachable()

bool Gtk::Notebook::get_tab_detachable | ( | Widget & | child | ) | const

Returns whether the tab contents can be detached from notebook.

Parameters

  child | A child Gtk::Widget.

Returns
  true if the tab is detachable.

## ◆ get_tab_label() [1/2]

Widget * Gtk::Notebook::get_tab_label | ( | Widget & | child | ) |

Returns the tab label widget for the page child.

nullptr is returned if child is not in notebook or if no tab label has specifically been set for child.

Parameters

  child | The page.

Returns
  The tab label.

## ◆ get_tab_label() [2/2]

const Widget * Gtk::Notebook::get_tab_label | ( | Widget & | child | ) | const

Returns the tab label widget for the page child.

nullptr is returned if child is not in notebook or if no tab label has specifically been set for child.

Parameters

  child | The page.

Returns
  The tab label.

## ◆ get_tab_label_text()

Glib::ustring Gtk::Notebook::get_tab_label_text | ( | Widget & | child | ) | const

Retrieves the text of the tab label for the page containing child.

Parameters

  child | A widget contained in a page of notebook.

Returns
  The text of the tab label.

## ◆ get_tab_pos()

PositionType Gtk::Notebook::get_tab_pos | ( |  | ) | const

Gets the edge at which the tabs are drawn.

Returns
  The edge at which the tabs are drawn.

## ◆ get_tab_reorderable()

bool Gtk::Notebook::get_tab_reorderable | ( | Widget & | child | ) | const

Gets whether the tab can be reordered via drag and drop or not.

Parameters

  child | A child Gtk::Widget.

Returns
  true if the tab is reorderable.

## ◆ get_type()

GType Gtk::Notebook::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkNotebook * Gtk::Notebook::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkNotebook * Gtk::Notebook::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ insert_page() [1/5]

int Gtk::Notebook::insert_page | ( | Widget & | child,
|  | const Glib::ustring & | tab_label,
|  | const Glib::ustring & | menu_label,
|  | int | position,
|  | bool | use_mnemonic = false )

## ◆ insert_page() [2/5]

int Gtk::Notebook::insert_page | ( | Widget & | child,
|  | const Glib::ustring & | tab_label,
|  | int | position,
|  | bool | use_mnemonic = false )

## ◆ insert_page() [3/5]

int Gtk::Notebook::insert_page | ( | Widget & | child,
|  | int | position )

## ◆ insert_page() [4/5]

int Gtk::Notebook::insert_page | ( | Widget & | child,
|  | Widget & | tab_label,
|  | int | position )

Insert a page into notebook at the given position.

Parameters

  child | The Gtk::Widget to use as the contents of the page.
  tab_label | The Gtk::Widget to be used as the label for the page.
  position | The index (starting at 0) at which to insert the page, or -1 to append the page after all other pages.

## ◆ insert_page() [5/5]

int Gtk::Notebook::insert_page | ( | Widget & | child,
|  | Widget & | tab_label,
|  | Widget & | menu_label,
|  | int | position )

Insert a page into notebook at the given position, specifying the widget to use as the label in the popup menu.

Parameters

  child | The Gtk::Widget to use as the contents of the page.
  tab_label | The Gtk::Widget to be used as the label for the page..
  menu_label | The widget to use as a label for the page-switch menu.
  position | The index (starting at 0) at which to insert the page, or -1 to append the page after all other pages.

## ◆ next_page()

void Gtk::Notebook::next_page | ( |  | ) |

Switches to the next page.

Nothing happens if the current page is the last page.

## ◆ operator=() [1/2]

Notebook & Gtk::Notebook::operator= | ( | const Notebook & |  | ) |
| delete

## ◆ operator=() [2/2]

Notebook & Gtk::Notebook::operator= | ( | Notebook && | src | ) |
| noexcept

## ◆ page_num()

int Gtk::Notebook::page_num | ( | const Widget & | child | ) | const

Finds the index of the page which contains the given child widget.

Parameters

  child | A Gtk::Widget.

Returns
  The index of the page containing child, or -1 if child is not in the notebook.

## ◆ popup_disable()

void Gtk::Notebook::popup_disable | ( |  | ) |

Disables the popup menu.

## ◆ popup_enable()

void Gtk::Notebook::popup_enable | ( |  | ) |

Enables the popup menu.

If the user clicks with the right mouse button on the tab labels, a menu with all the pages will be popped up.

## ◆ prepend_page() [1/5]

int Gtk::Notebook::prepend_page | ( | Widget & | child | ) |

## ◆ prepend_page() [2/5]

int Gtk::Notebook::prepend_page | ( | Widget & | child,
|  | const Glib::ustring & | tab_label,
|  | bool | use_mnemonic = false )

## ◆ prepend_page() [3/5]

int Gtk::Notebook::prepend_page | ( | Widget & | child,
|  | const Glib::ustring & | tab_label,
|  | const Glib::ustring & | menu_label,
|  | bool | use_mnemonic )

## ◆ prepend_page() [4/5]

int Gtk::Notebook::prepend_page | ( | Widget & | child,
|  | Widget & | tab_label )

Prepends a page to notebook.

Parameters

  child | The Gtk::Widget to use as the contents of the page.
  tab_label | The Gtk::Widget to be used as the label for the page.

## ◆ prepend_page() [5/5]

int Gtk::Notebook::prepend_page | ( | Widget & | child,
|  | Widget & | tab_label,
|  | Widget & | menu_label )

Prepends a page to notebook, specifying the widget to use as the label in the popup menu.

Parameters

  child | The Gtk::Widget to use as the contents of the page.
  tab_label | The Gtk::Widget to be used as the label for the page.
  menu_label | The widget to use as a label for the page-switch menu.

## ◆ prev_page()

void Gtk::Notebook::prev_page | ( |  | ) |

Switches to the previous page.

Nothing happens if the current page is the first page.

## ◆ property_enable_popup() [1/2]

Glib::PropertyProxy< bool > Gtk::Notebook::property_enable_popup | ( |  | ) |

If true, pressing the right mouse button on the notebook shows a page switching menu.

Default value: false

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_enable_popup() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Notebook::property_enable_popup | ( |  | ) | const

If true, pressing the right mouse button on the notebook shows a page switching menu.

Default value: false

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_group_name() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Notebook::property_group_name | ( |  | ) |

Group name for tab drag and drop.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_group_name() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Notebook::property_group_name | ( |  | ) | const

Group name for tab drag and drop.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_page() [1/2]

Glib::PropertyProxy< int > Gtk::Notebook::property_page | ( |  | ) |

The index of the current page.

Default value: -1

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_page() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Notebook::property_page | ( |  | ) | const

The index of the current page.

Default value: -1

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_pages()

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gio::ListModel > > Gtk::Notebook::property_pages | ( |  | ) | const

A selection model with the pages.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_scrollable() [1/2]

Glib::PropertyProxy< bool > Gtk::Notebook::property_scrollable | ( |  | ) |

If true, scroll arrows are added if there are too many pages to fit.

Default value: false

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_scrollable() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Notebook::property_scrollable | ( |  | ) | const

If true, scroll arrows are added if there are too many pages to fit.

Default value: false

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_show_border() [1/2]

Glib::PropertyProxy< bool > Gtk::Notebook::property_show_border | ( |  | ) |

Whether the border should be shown.

Default value: true

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_show_border() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Notebook::property_show_border | ( |  | ) | const

Whether the border should be shown.

Default value: true

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_show_tabs() [1/2]

Glib::PropertyProxy< bool > Gtk::Notebook::property_show_tabs | ( |  | ) |

Whether tabs should be shown.

Default value: true

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_show_tabs() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Notebook::property_show_tabs | ( |  | ) | const

Whether tabs should be shown.

Default value: true

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_tab_pos() [1/2]

Glib::PropertyProxy< PositionType > Gtk::Notebook::property_tab_pos | ( |  | ) |

Which side of the notebook holds the tabs.

Default value: Gtk::PositionType::TOP

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_tab_pos() [2/2]

Glib::PropertyProxy_ReadOnly< PositionType > Gtk::Notebook::property_tab_pos | ( |  | ) | const

Which side of the notebook holds the tabs.

Default value: Gtk::PositionType::TOP

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ remove_page() [1/2]

void Gtk::Notebook::remove_page | ( | int | page_number = 0 | ) |

Removes a page from the notebook given its index in the notebook.

Parameters

  page_number | The index of a notebook page, starting from 0. If -1, the last page will be removed.

## ◆ remove_page() [2/2]

void Gtk::Notebook::remove_page | ( | Widget & | child | ) |

## ◆ reorder_child()

void Gtk::Notebook::reorder_child | ( | Widget & | child,
|  | int | position )

Reorders the page containing child, so that it appears in position position.

If position is greater than or equal to the number of children in the list or negative, child will be moved to the end of the list.

Parameters

  child | The child to move.
  position | The new position, or -1 to move to the end.

## ◆ set_action_widget()

void Gtk::Notebook::set_action_widget | ( | Widget * | widget,
|  | PackType | pack_type = PackType::START )

Sets widget as one of the action widgets.

Depending on the pack type the widget will be placed before or after the tabs. You can use a Gtk::Box if you need to pack more than one widget on the same side.

Parameters

  widget | A Gtk::Widget.
  pack_type | Pack type of the action widget.

## ◆ set_current_page()

void Gtk::Notebook::set_current_page | ( | int | page_number | ) |

Switches to the page number page_number.

Note that due to historical reasons, GtkNotebook refuses to switch to a page unless the child widget is visible. Therefore, it is recommended to show child widgets before adding them to a notebook.

Parameters

  page_number | Index of the page to switch to, starting from 0. If negative, the last page will be used. If greater than the number of pages in the notebook, nothing will be done.

## ◆ set_group_name()

void Gtk::Notebook::set_group_name | ( | const Glib::ustring & | group_name | ) |

Sets a group name for notebook.

Notebooks with the same name will be able to exchange tabs via drag and drop. A notebook with a nullptr group name will not be able to exchange tabs with any other notebook.

Parameters

  group_name | The name of the notebook group, or nullptr to unset it.

## ◆ set_menu_label()

void Gtk::Notebook::set_menu_label | ( | Widget & | child,
|  | Widget & | menu_label )

Changes the menu label for the page containing child.

Parameters

  child | The child widget.
  menu_label | The menu label, or nullptr for default.

## ◆ set_menu_label_text()

void Gtk::Notebook::set_menu_label_text | ( | Widget & | child,
|  | const Glib::ustring & | menu_text )

Creates a new label and sets it as the menu label of child.

Parameters

  child | The child widget.
  menu_text | The label text.

## ◆ set_scrollable()

void Gtk::Notebook::set_scrollable | ( | bool | scrollable = true | ) |

Sets whether the tab label area will have arrows for scrolling if there are too many tabs to fit in the area.

Parameters

  scrollable | true if scroll arrows should be added.

## ◆ set_show_border()

void Gtk::Notebook::set_show_border | ( | bool | show_border = true | ) |

Sets whether a bevel will be drawn around the notebook pages.

This only has a visual effect when the tabs are not shown.

Parameters

  show_border | true if a bevel should be drawn around the notebook.

## ◆ set_show_tabs()

void Gtk::Notebook::set_show_tabs | ( | bool | show_tabs = true | ) |

Sets whether to show the tabs for the notebook or not.

Parameters

  show_tabs | true if the tabs should be shown.

## ◆ set_tab_detachable()

void Gtk::Notebook::set_tab_detachable | ( | Widget & | child,
|  | bool | detachable = true )

Sets whether the tab can be detached from notebook to another notebook or widget.

Note that two notebooks must share a common group identifier (see set_group_name()) to allow automatic tabs interchange between them.

If you want a widget to interact with a notebook through DnD (i.e.: accept dragged tabs from it) it must be set as a drop destination by adding to it a Gtk::DropTarget controller that accepts the GType GTK_TYPE_NOTEBOOK_PAGE. The :value of said drop target will be preloaded with a Gtk::NotebookPage object that corresponds to the dropped tab, so you can process the value via ::accept or ::drop signals.

Note that you should use detach_tab() instead of remove_page() if you want to remove the tab from the source notebook as part of accepting a drop. Otherwise, the source notebook will think that the dragged tab was removed from underneath the ongoing drag operation, and will initiate a drag cancel animation.

[C example ellipted]

If you want a notebook to accept drags from other widgets, you will have to set your own DnD code to do it.

Parameters

  child | A child Gtk::Widget.
  detachable | Whether the tab is detachable or not.

## ◆ set_tab_label()

void Gtk::Notebook::set_tab_label | ( | Widget & | child,
|  | Widget & | tab_label )

Changes the tab label for child.

If nullptr is specified for tab_label, then the page will have the label “page N”.

Parameters

  child | The page.
  tab_label | The tab label widget to use, or nullptr for default tab label.

## ◆ set_tab_label_text()

void Gtk::Notebook::set_tab_label_text | ( | Widget & | child,
|  | const Glib::ustring & | tab_text )

Creates a new label and sets it as the tab label for the page containing child.

Parameters

  child | The page.
  tab_text | The label text.

## ◆ set_tab_pos()

void Gtk::Notebook::set_tab_pos | ( | PositionType | pos | ) |

Sets the edge at which the tabs are drawn.

Parameters

  pos | The edge to draw the tabs at.

## ◆ set_tab_reorderable()

void Gtk::Notebook::set_tab_reorderable | ( | Widget & | child,
|  | bool | reorderable = true )

Sets whether the notebook tab can be reordered via drag and drop or not.

Parameters

  child | A child Gtk::Widget.
  reorderable | Whether the tab is reorderable or not.

## ◆ signal_page_added()

Glib::SignalProxy< void(Widget *, guint)> Gtk::Notebook::signal_page_added | ( |  | ) |

Slot Prototype:
  void on_my_page_added(Widget* page, guint page_num)

Flags: Run Last

the signal_page_added() signal is emitted in the notebook right after a page is added to the notebook.

Parameters

  page | The child Gtk::Widget affected.
  page_num | The new page number for page.

## ◆ signal_page_removed()

Glib::SignalProxy< void(Widget *, guint)> Gtk::Notebook::signal_page_removed | ( |  | ) |

Slot Prototype:
  void on_my_page_removed(Widget* page, guint page_num)

Flags: Run Last

the signal_page_removed() signal is emitted in the notebook right after a page is removed from the notebook.

Parameters

  page | The child Gtk::Widget affected.
  page_num | The page page number.

## ◆ signal_page_reordered()

Glib::SignalProxy< void(Widget *, guint)> Gtk::Notebook::signal_page_reordered | ( |  | ) |

Slot Prototype:
  void on_my_page_reordered(Widget* page, guint page_num)

Flags: Run Last

the signal_page_reordered() signal is emitted in the notebook right after a page has been reordered.

Parameters

  page | The child Gtk::Widget affected.
  page_num | The new page number for page.

## ◆ signal_switch_page()

Glib::SignalProxy< void(Widget *, guint)> Gtk::Notebook::signal_switch_page | ( |  | ) |

Slot Prototype:
  void on_my_switch_page(Widget* page, guint page_number)

Flags: Run Last

Emitted when the user or a function changes the current page.

Parameters

  page | The new current page.
  page_number | The index of the page.

## Friends And Related Symbol Documentation

## ◆ wrap()

Gtk::Notebook * wrap | ( | GtkNotebook * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.